- Aldebaran documentation |
- C++ Libraries |
- index

libalcommon 2.8.7.4

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Classes | Public Types | Public Member Functions | Public Attributes | List of all members
AL::ALMethodInfo Class Reference
Proxy | Module

ALMethodInfo is the introspection container. More...

`#include "alcommon/almethodinfo.h"`

## Classes
class | ALExample
| ALExample is container for example. More...
class | ALParameterInfo
| ALParameterInfo is the introspection container. More...
class | ALParameterInfoOptional
| ALParameterInfoOptional is the option container. More...

## Public Types
enum | methodOption { CPPMethod = 1, AsynchronousMethod = 2, localMethod = 4 }
| methodOption is differents option for the method. More...

## Public Member Functions
| ALMethodInfo ()
| Default constructor. More...
virtual | ~ALMethodInfo ()
| Default destructor. More...
bool | isCpp (void)
| Check is the method is used for C++. More...
bool | isAsynchronous (void)
| Check is the method is used as asynchronous one. More...
bool | isLocalMethod (void)
| Check is the method is a local one. More...
void | addOption (int pOption)
| Add method option. More...
ALFunctorBase * | getFunction ()
| Get a pointer to the method. More...
void | clear (void)
| Clear parameters and examples. More...

## Public Attributes
std::string | moduleName
std::string | methodName
std::string | methodDescription
std::vector< ALParameterInfo > | parameters
std::string | returnValue
std::vector< ALExample > | examples
boost::shared_ptr< ALFunctorBase > | ptrOnMethod
ALParameterInfo | returnInfo
short | mask

## Detailed Description

ALMethodInfo is the introspection container.

We store method description, return type, argument list, examples...

Definition at line 33 of file almethodinfo.h.

## Member Enumeration Documentation

enum AL::ALMethodInfo::methodOption

methodOption is differents option for the method.

Enumerator
CPPMethod | C++ method.
AsynchronousMethod | Asynchronous method.
localMethod | Local method.

Definition at line 48 of file almethodinfo.h.

## Constructor & Destructor Documentation

AL::ALMethodInfo::ALMethodInfo | ( |  | ) |
| inline

Default constructor.

Definition at line 37 of file almethodinfo.h.

virtual AL::ALMethodInfo::~ALMethodInfo | ( |  | ) |
| inline virtual

Default destructor.

Definition at line 42 of file almethodinfo.h.

## Member Function Documentation

void AL::ALMethodInfo::addOption | ( | int | pOption | ) |
| inline

Add method option.

Parameters

  pOption | new option

Definition at line 134 of file almethodinfo.h.

void AL::ALMethodInfo::clear | ( | void |  | ) |
| inline

Clear parameters and examples.

Definition at line 150 of file almethodinfo.h.

ALFunctorBase* AL::ALMethodInfo::getFunction | ( |  | ) |
| inline

Get a pointer to the method.

Returns
  a pointer to the method

Definition at line 143 of file almethodinfo.h.

bool AL::ALMethodInfo::isAsynchronous | ( | void |  | ) |
| inline

Check is the method is used as asynchronous one.

Returns
  true if it's a asynchronous method, flase otherwise

Definition at line 118 of file almethodinfo.h.

bool AL::ALMethodInfo::isCpp | ( | void |  | ) |
| inline

Check is the method is used for C++.

Returns
  true if it's a C++ the method, flase otherwise

Definition at line 110 of file almethodinfo.h.

bool AL::ALMethodInfo::isLocalMethod | ( | void |  | ) |
| inline

Check is the method is a local one.

Returns
  true if it's a local method, flase otherwise

Definition at line 126 of file almethodinfo.h.

## Member Data Documentation

std::vector<ALExample> AL::ALMethodInfo::examples

Method example.

Definition at line 100 of file almethodinfo.h.

short AL::ALMethodInfo::mask

Method options.

Definition at line 103 of file almethodinfo.h.

std::string AL::ALMethodInfo::methodDescription

Method description.

Definition at line 97 of file almethodinfo.h.

std::string AL::ALMethodInfo::methodName

Method name.

Definition at line 96 of file almethodinfo.h.

std::string AL::ALMethodInfo::moduleName

Module name.

Definition at line 95 of file almethodinfo.h.

std::vector<ALParameterInfo> AL::ALMethodInfo::parameters

Method parameters.

Definition at line 98 of file almethodinfo.h.

boost::shared_ptr<ALFunctorBase> AL::ALMethodInfo::ptrOnMethod

Pointer on the mehotd.

Definition at line 101 of file almethodinfo.h.

ALParameterInfo AL::ALMethodInfo::returnInfo

Info about the return

Definition at line 102 of file almethodinfo.h.

std::string AL::ALMethodInfo::returnValue

Method return value.

Definition at line 99 of file almethodinfo.h.

The documentation for this class was generated from the following file:

- /home/opennao/work/release-2.8/sdk/libnaoqi/libalcommon/alcommon/almethodinfo.h